stages:
  - build
  - test
  - deploy

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'

build-job-1:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - |
      echo "Login to Docker Hub"
      docker login -u mbouzayeni -p $docker_pwd
  script:  
    - |
      echo "Pulling docker image"
      docker pull mbouzayeni/webui:0.0.1-dev-fc9e166169cf45d366625d18a3084d191e57e32c  

build-job-2:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - |
      echo "Login to Docker Hub"
      docker login -u mbouzayeni -p $docker_pwd
  script:
    - |
      docker build -t mbouzayeni/rgi-interview:1.0 -f dockerfiles/Dockerfile .
      docker push mbouzayeni/rgi-interview:1.0
  needs: ["build-job-1"]      

test-job:
  stage: test
  script:
    - echo "It's testing"

deploy-job:
  stage: deploy
  script:
    - echo "It's deploying"